Unique ID string. Defaults to chassis serial number if available, otherwise empty.
Sources for this description
FS.COM official Documentation Hub native MIB packagesFS.COM MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.52642.3.6.3
Unique ID string. Defaults to chassis serial number if available, otherwise empty.
Identification
{1 3 6 1 4 1 52642 3 6 3}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Product context
The FS.COM catalogue lists MIB packages containing this definition for these models:
IES3100-16TM, IES3100-8T4F-P, IES3100-8TF, IES3100-8TF-P, S3150-8T2FP, S3260-8T2FP, S3400-24T4FP, S3400-24T4SP, S3400-48T4SP, S3400-48T6SP, S3700-24T4F, S3900-24F4S-R.
S3900-24T4S-R, S3900-48T6S-R, S5500-24TF6S, S5500-48F6S, S5500-48T6S, S5500-48T6SP-R, S5900-24S4T2Q.
A definition in a model's MIB package does not establish that the device implements it or permits access.
Available source records contain 2 distinct definitions; some records may not include a definition.
nmschassisId OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Unique ID string. Defaults to chassis serial
number if available, otherwise empty."
::= { nmschassis 3 }nmschassisId OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Unique ID string. Defaults to chassis serial
number if available, otherwise empty."
::= { nmschassis 3 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Unique ID string. Defaults to chassis serial number if available, otherwise empty.
FS.COM official Documentation Hub native MIB packagesFS.COM MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: nmschassisId
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nmschassisId",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Unique ID string. Defaults to chassis serial number if available, otherwise empty.\"",
"::=",
"{",
"nmschassis",
"3",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Unique ID string. Defaults to chassis serial number if available, otherwise empty."
],
null,
null,
null,
null
]
}Module: NMS-CHASSIS
See published definition above
{'NMS-SMI': ['nmstemporary'], 'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Gauge32'], 'RFC1155-SMI': ['TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Same file in 20230724154543a6vsk6.zip.
Same file in s5500-series-switches-snmp-mib-files.zip.
Same file in s3260-8t2fp-switch-snmp-mib-files.zip.
Same file in s3150-8t2fp-switch-snmp-mib-files.zip.
Module: NMS-CHASSIS
{'NMS-SMI': ['nmstemporary'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Same file in s5900-24s4t2q-switch-snmp-mib-files.zip.
Vendor MIB copy from the LibreNMS archive. FS.COM support.
Module: NMS-CHASSIS
See published definition above
{'NMS-SMI': ['nmstemporary'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. FS.COM support.
Module: FS-NMS-CHASSIS
{'RFC-1212': ['OBJECT-TYPE'], 'FS-NMS-SMI': ['nmstemporary'], 'SNMPv2-SMI': ['Gauge32'], 'RFC1155-SMI': ['TimeTicks'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.52642.3.6.1 | nmschassisType | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.2 | nmschassisVersion | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.4 | nmsromSysVersion | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.5 | nmsprocessorRam | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.6 | nmsnvRAMSize | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.7 | nmsnvRAMUsed | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.8 | nmsconfigRegister | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.9 | nmsconfigRegNext | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.10 | nmscardTable | 1 | 17 | |
| 1.3.6.1.4.1.52642.3.6.11 | nmschassisSlots | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.12 | nmscardIfIndexTable | 1 | 6 | |
| 1.3.6.1.4.1.52642.3.6.13 | nmssysUpTimeAtLastChassisChange | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.14 | nmsBoxTemp | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.15 | nmsAuxTable | 1 | 6 | |
| 1.3.6.1.4.1.52642.3.6.16 | nmssubcardTable | 1 | 14 | |
| 1.3.6.1.4.1.52642.3.6.17 | nmsHumidity | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.18 | nmsSysErrorNum | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.19 | nmsElectricCurrent | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.20 | nmsVoltageCurrent | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.21 | nmsSwitchName | 0 | 0 | |
| 1.3.6.1.4.1.52642.3.6.22 | nmsSysRebootTimes | 0 | 0 |